Package org.silverpeas.mobile.client.common

## Class FormsHelper

- java.lang.Object
- - org.silverpeas.mobile.client.common.FormsHelper

-     public class FormsHelper
      extends Object

  Author:
    svu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormsHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.google.gwt.core.client.JavaScriptObject` | `createFormData()` |
    `static boolean` | `isStoreValueId​(FormFieldDTO f)` |
    `static com.google.gwt.core.client.JavaScriptObject` | `populateFormData​(com.google.gwt.core.client.JavaScriptObject formData, String name, com.google.gwt.dom.client.Element value)` |
    `static com.google.gwt.core.client.JavaScriptObject` | `populateFormData​(com.google.gwt.core.client.JavaScriptObject formData, String name, String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormsHelper

          public FormsHelper()

  - ### Method Detail

    - #### populateFormData

          public static com.google.gwt.core.client.JavaScriptObject populateFormData​(com.google.gwt.core.client.JavaScriptObject formData,
                                                                                     String name,
                                                                                     com.google.gwt.dom.client.Element value)

    - #### populateFormData

          public static com.google.gwt.core.client.JavaScriptObject populateFormData​(com.google.gwt.core.client.JavaScriptObject formData,
                                                                                     String name,
                                                                                     String value)

    - #### createFormData

          public static com.google.gwt.core.client.JavaScriptObject createFormData()

    - #### isStoreValueId

          public static boolean isStoreValueId​(FormFieldDTO f)